Skip to main content
GET
/
api
/
v1
/
oi
Open Interest
curl --request GET \
  --url https://api.example.com/api/v1/oi
Returns historical open interest data showing the total value of outstanding futures contracts. OI snapshots are taken every 5 minutes.

Parameters

ParameterTypeDefaultDescription
symbolstringBTCUSDTTrading pair (e.g. ETHUSDT, SOLUSDT)
limitnumber100Number of snapshots to return (max 1000)

Example Request

curl -X GET "https://krovn.io/api/v1/oi?symbol=BTCUSDT&limit=3" \
  -H "X-API-Key: your_api_key"

Example Response

{
  "symbol": "BTCUSDT",
  "data": [
    {
      "timestamp": "2026-03-21T12:00:00.000Z",
      "oi_contracts": "212450.350",
      "oi_value_usd": "18572000000"
    },
    {
      "timestamp": "2026-03-21T12:05:00.000Z",
      "oi_contracts": "212680.100",
      "oi_value_usd": "18592000000"
    },
    {
      "timestamp": "2026-03-21T12:10:00.000Z",
      "oi_contracts": "212890.750",
      "oi_value_usd": "18610000000"
    }
  ]
}
OI history is retained for approximately 30 days due to Binance API limitations. Data is returned in ascending chronological order.